/*! 
	\file main.c
	\author GOIGOUX Lucie & JEUDI--LEMOINE Alix
	\date 15/12/22
	\brief Exécutable principal du programme

	Application de gestion des candidature dans les IUT de France
*/

#include <stdio.h>
#include <stdlib.h>

void titreMenuPrincipal(void) {
	system("clear");
	printf("██████╗ ███████╗ ██████╗██████╗ ██╗   ██╗████████╗███████╗███╗   ███╗███████╗███╗   ██╗████████╗    ██╗██╗   ██╗████████╗\n");
	printf("██╔══██╗██╔════╝██╔════╝██╔══██╗██║   ██║╚══██╔══╝██╔════╝████╗ ████║██╔════╝████╗  ██║╚══██╔══╝    ██║██║   ██║╚══██╔══╝\n");
	printf("██████╔╝█████╗  ██║     ██████╔╝██║   ██║   ██║   █████╗  ██╔████╔██║█████╗  ██╔██╗ ██║   ██║       ██║██║   ██║   ██║   \n");
	printf("██╔══██╗██╔══╝  ██║     ██╔══██╗██║   ██║   ██║   ██╔══╝  ██║╚██╔╝██║██╔══╝  ██║╚██╗██║   ██║       ██║██║   ██║   ██║   \n");
	printf("██║  ██║███████╗╚██████╗██║  ██║╚██████╔╝   ██║   ███████╗██║ ╚═╝ ██║███████╗██║ ╚████║   ██║       ██║╚██████╔╝   ██║   \n");
	printf("╚═╝  ╚═╝╚══════╝ ╚═════╝╚═╝  ╚═╝ ╚═════╝    ╚═╝   ╚══════╝╚═╝     ╚═╝╚══════╝╚═╝  ╚═══╝   ╚═╝       ╚═╝ ╚═════╝    ╚═╝   \n\n");
}

void menuCandidat() {
	int choix; // Contient le choix de l'utilisateur dans le menu
	
	printf("\n\n-----------------------------------------------------------------------\n");
	printf("\t1 - Consulter les ville possédant un IUT\n\n");
	printf("\t2 - Voir les disponibilités des départements dans un IUT\n\n");
	printf("\t3 - Rechercher un département\n\n");
	printf("\t4 - Candidater\n\n");
	printf("\t5 - Suivre sa candidature\n\n");
	printf("\t9 - Quitter\n");
	printf("-----------------------------------------------------------------------\n");


	if(scanf("%d", &choix) == 0)
		choix=0;

	printf("-----------------------------------------------------------------------\n");
	
	while(choix != 9){
		switch (choix) {
			case 1:
				printf("Consulter les ville possédant un IUT...\n");
                // TODO
                break;
			case 2:
                printf("Voir les disponibilités des départements dans un IUT...\n");
				// TODO
				break;
			case 3:
				printf("Rechercher un département...\n");
				// TODO
				break;
			case 4:
				printf("Candidater...\n");
				// TODO
				break;
			case 5:
				printf("Suivre sa candidature...\n");
				// TODO
				break;
			default:
				fprintf(stderr, "\e[0;91mErreur : la valeur entrée est invalide, merci de réessayer.\n\e[0m");
				break;
		}

		printf("\n\n-----------------------------------------------------------------------\n");
		printf("\t1 - Consulter les ville possédant un IUT\n\n");
		printf("\t2 - Voir les disponibilités des départements dans un IUT\n\n");
		printf("\t3 - Rechercher un département\n\n");
		printf("\t4 - Candidater\n\n");
		printf("\t5 - Suivre sa candidature\n\n");
		printf("\t9 - Quitter\n");
		printf("-----------------------------------------------------------------------\n");
		scanf("%*c%d", &choix);
	}

	printf("\nRetour au menu principal...\n");
	titreMenuPrincipal();
}

void menuAdmin() {
	printf("\nRetour au menu principal...\n");
	titreMenuPrincipal();
}

void menuResponsable() {
	int choix; // Contient le choix de l'utilisateur dans le menu

	printf("\n\n--------------------------------------------------------------------\n");
	printf("\t1 - Modifier le nombre de place d'une formation\n\n");
	printf("\t2 - Créer un nouveau département\n\n");
	printf("\t3 - Supprimer un département\n\n");
	printf("\t4 - Lancer/arrêter la phase de candidature\n\n");
	printf("\t5 - Modifier le nom du responsable d'un département\n\n");
	printf("\t9 - Quitter\n");
	printf("---------------------------------------------------------------------\n");

	if(scanf("%d", &choix) == 0)
		choix=0;

	printf("---------------------------------------------------\n");
	
	while(choix != 9){
		switch (choix) {
			case 1:
				printf("Modifier le nombre de place d'une formation...\n");
                // TODO
                break;
			case 2:
                printf("Créer un nouveau département...\n");
				// TODO
				break;
			case 3:
				printf("Supprimer un département...\n");
				// TODO
				break;
			case 4:
				printf("Lancer/arrêter la phase de candidature...\n");
				// TODO
				break;
			case 5:
				printf("Modifier le nom du responsable d'un département...\n");
				// TODO
				break;
			default:
				fprintf(stderr, "\e[0;91mErreur : la valeur entrée est invalide, merci de réessayer.\n\e[0m");
				break;
		}

		printf("\n\n----------------------------------------------------------------\n");
		printf("\t1 - Modifier le nombre de place d'une formation \n\n");
		printf("\t2 - Créer un nouveau département\n\n");
		printf("\t3 - Supprimer un département\n\n");
		printf("\t4 - Administrateur\n\n");
		printf("\t5 - Candidater\n\n");
		printf("\t6 - Suivre sa candidature\n\n");
		printf("\t9 - Quitter\n");
		printf("-----------------------------------------------------------------\n");
		scanf("%*c%d", &choix);
	}

	printf("\nRetour au menu principal...\n");
	titreMenuPrincipal();
}

void menuPrincipal(/* TODO: prise en compte des status actuels du recrutement */) {
    int choix; // Contient le choix de l'utilisateur dans le menu

	printf("--------------------------------------------\n");
	printf("Vous êtes : \n");
	printf("--------------------------------------------\n");
    printf("\t1 - Candidat\n\n");
    printf("\t2 - Administrateur\n\n");
	printf("\t3 - Responsable\n\n");
	printf("\t9 - Quitter l'application\n");
    printf("--------------------------------------------\n");

	if(scanf("%d", &choix) == 0)
		choix=0;

	printf("-------------------------------------------------\n");
	
	while(choix != 9){
		switch (choix) {
			case 1:
				system("clear");
				printf(" ██████╗ █████╗ ███╗   ██╗██████╗ ██╗██████╗  █████╗ ████████╗\n");
				printf("██╔════╝██╔══██╗████╗  ██║██╔══██╗██║██╔══██╗██╔══██╗╚══██╔══╝\n");
				printf("██║     ███████║██╔██╗ ██║██║  ██║██║██║  ██║███████║   ██║   \n");
				printf("██║     ██╔══██║██║╚██╗██║██║  ██║██║██║  ██║██╔══██║   ██║   \n");
				printf("╚██████╗██║  ██║██║ ╚████║██████╔╝██║██████╔╝██║  ██║   ██║   \n");
				printf(" ╚═════╝╚═╝  ╚═╝╚═╝  ╚═══╝╚═════╝ ╚═╝╚═════╝ ╚═╝  ╚═╝   ╚═╝   \n\n");

                menuCandidat();
                break;
			case 2:
				system("clear");
				printf("\b █████╗ ██████╗ ███╗   ███╗██╗███╗   ██╗██╗███████╗████████╗██████╗  █████╗ ████████╗███████╗██╗   ██╗██████╗ \n");
				printf("██╔══██╗██╔══██╗████╗ ████║██║████╗  ██║██║██╔════╝╚══██╔══╝██╔══██╗██╔══██╗╚══██╔══╝██╔════╝██║   ██║██╔══██╗\n");
				printf("███████║██║  ██║██╔████╔██║██║██╔██╗ ██║██║███████╗   ██║   ██████╔╝███████║   ██║   █████╗  ██║   ██║██████╔╝\n");
				printf("██╔══██║██║  ██║██║╚██╔╝██║██║██║╚██╗██║██║╚════██║   ██║   ██╔══██╗██╔══██║   ██║   ██╔══╝  ██║   ██║██╔══██╗\n");
				printf("██║  ██║██████╔╝██║ ╚═╝ ██║██║██║ ╚████║██║███████║   ██║   ██║  ██║██║  ██║   ██║   ███████╗╚██████╔╝██║  ██║\n");
				printf("╚═╝  ╚═╝╚═════╝ ╚═╝     ╚═╝╚═╝╚═╝  ╚═══╝╚═╝╚══════╝   ╚═╝   ╚═╝  ╚═╝╚═╝  ╚═╝   ╚═╝   ╚══════╝ ╚═════╝ ╚═╝  ╚═╝\n\n");

				menuAdmin();
				break;
			case 3:
				system("clear");
				printf("\b██████╗ ███████╗███████╗██████╗  ██████╗ ███╗   ██╗███████╗ █████╗ ██████╗ ██╗     ███████╗\n");
				printf("██╔══██╗██╔════╝██╔════╝██╔══██╗██╔═══██╗████╗  ██║██╔════╝██╔══██╗██╔══██╗██║     ██╔════╝\n");
				printf("██████╔╝█████╗  ███████╗██████╔╝██║   ██║██╔██╗ ██║███████╗███████║██████╔╝██║     █████╗  \n");
				printf("██╔══██╗██╔══╝  ╚════██║██╔═══╝ ██║   ██║██║╚██╗██║╚════██║██╔══██║██╔══██╗██║     ██╔══╝  \n");
				printf("██║  ██║███████╗███████║██║     ╚██████╔╝██║ ╚████║███████║██║  ██║██████╔╝███████╗███████╗\n");
				printf("╚═╝  ╚═╝╚══════╝╚══════╝╚═╝      ╚═════╝ ╚═╝  ╚═══╝╚══════╝╚═╝  ╚═╝╚═════╝ ╚══════╝╚══════╝\n\n");

				menuResponsable();
				break;
			default:
				fprintf(stderr, "\e[0;91mErreur : la valeur entrée est invalide, merci de réessayer.\n\e[0m");
				break;
		}

		printf("--------------------------------------------\n");
		printf("Vous êtes : \n");
		printf("--------------------------------------------\n");
		printf("\t1 - Candidat\n\n");
		printf("\t2 - Administrateur\n\n");
		printf("\t3 - Responsable\n\n");
		printf("\t9 - Quitter l'application\n");
		printf("--------------------------------------------\n");
		scanf("%*c%d", &choix);
	}

    printf("\nFermeture de l'application...\n");
}

int main(void) {
	titreMenuPrincipal();
    menuPrincipal();
    return 0;
}